
Packaging - Feature #12732

Move Ubuntu 12.04 Foreman package to Ruby 2.0.0

12/07/2015 08:48 AM - Dominic Cleal

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Debian/Ubuntu   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Ruby 2.0.0 packages are available from the brightbox/ruby-ng repository, so it's probably possible to switch from the 1.9.3 build to

2.0.0 relatively easily.

I tried a quick build but it failed with the old version of Bundler in 12.04.  We would need to provide updated ruby-bundler and

ruby-thor packages at least.

Related issues:

Blocks Foreman - Refactor #8884: Drop Ruby 1.9.3 support Closed 01/09/2015

History

#1 - 12/07/2015 08:48 AM - Dominic Cleal

- Blocks Refactor #8884: Drop Ruby 1.9.3 support added

#2 - 12/07/2015 08:48 AM - Dominic Cleal

Alternatively, we drop support for 12.04 and support 14.04 (and soon, 16.04) only.

#3 - 12/07/2015 08:55 AM - Ewoud Kohl van Wijngaarden

I'd be in favour of dropping 12.04. Ping the mailinglist?

#4 - 12/07/2015 02:21 PM - Anonymous

I'd also say if we have to drop Ruby 1.9.3 support, drop support for Ubuntu/precise and Debian/wheezy.

#5 - 12/08/2015 03:03 AM - Dominic Cleal

OK, that's fine by me too.  I'll e-mail closer to the time.

I'm expecting to have to drop it within the next two months in response to Fog 2.0.0, but that has been delayed a few times.

#6 - 12/08/2015 03:03 AM - Dominic Cleal

- Status changed from New to Rejected

Closing, but patches also welcome if somebody wishes to take it on.
